larger smaller normal text version of this page
Traduciones: en nl


Documentación

Requerimientos para phpList


phpList has sido desarrollado con las siguiente configuración de sistema en la mente, aunque hubo informes de que sea posible utilizarla con otros sistemas:
  • Servidor GNU / Linux
  • Servidor web Apache
  • PHP versión 4.3.x (o superior)/(el modulo IMAP es requerido para manejo de rebotes)
  • Servidor de base de datos MySQL (versión 3.23 o superior)

phpList también funciona en una plataforma Windows, con Apache, PHP y MySQL. Recomendamos el servidor XAMPP para implementar phpList con windows en un ambiente de desarrollo.

phpList también funciona en una plataforma MacOSX, con Apache, PHP y MySQL. MacOSX ya tiene Apache incorporado, lo que funciona de forma adecuada, pero la instalación PHP no es adecuada. Por lo tanto, recomendamos las instalaciónes mac-ready de XAMPP(intel) o de MAMP(PPC) para utilizar phpList con un mac.

phpList también funciona con PHP 5, MySQL 5. De hecho, los programadores utilizan PHP 5.1.6 y MySQL 5.0.27.

Usuarios mencionan también que phpList puede ser adaptado para que funcione con el servidor web Microsoft IIS. Por el momento no existe soporte para eso, pero puede encontrar más información en phplist IIS o buscando en los foros. Es probable que phpList funcione con versiones inferiores de PHP, pero no es recomendable.

Se recomienda añadir soporte para IMAP en su instalación PHP. Eso es un requerimiento para permitir el manejo automático de rebotes por phpList.

PHPlist incorpora también ADOdb, lo que abre la posibilidad de que phpList pueda funcionar con otras bases de datos que MySQL, pero eso aún no ha sido comprobado por los programadores, y todavía no hemos recibido mucha retroalimentación al respecto.

Con respecto al MTA (Mail Transfer Agent), los programadores de phpList utilizan Qmail, pero no debería de haber ninguna dependencia MTA para phpList, a condición que su sistema le permite enviar mensajes a través de PHP.


PHP modo seguro


Se recomienda utilizar phpList con modo seguro ("safe mode") desactivado ("off") en PHP. Hemos hecho lo posible para que phpList funcione con modo seguro, pero al sobrepasar los 500 usuarios, es probable que tendrá problemas. También, el manejo automático de rebotes no funcionará con modo seguro.



Conceptos básicos de phpList
Documentación phplist

CategoryDocumentation
Page was generated in 0.1030 seconds